Reproducibility note: we used [MP-SPDZ](https://github.com/data61/MP-SPDZ) built from the commit `2459ecbe290e7e544c89a0002ad27fbb67e3d757`.

## Server benchmarks

To get the server benchmarks, build the MP-SPDZ normally (`make tldr mascot-party.x` is likely to be sufficient), put `build-table.sh` in the MP-SPDZ root directory and put `precomputation-outsource.mpc` in `Programs/Source`. Then run `./build-table.sh` it will output the CSV table that was used in paper (time is in seconds, communication is in KB).

## Client benchmarks

To get the client benchmarks, save the program

```python
from Compiler.util import bit_compose

# Inputs are limited to 20-bits
t = sbits.get_type(20)

def to_sint(s, n_bits):
    """ Convert the :py:obj:`n_bits` least significant bits to
    :py:obj:`~Compiler.types.sint`. """
    bits = sbitvec.from_vec(sbitvec([s]).v[:n_bits]).elements()[0]
    bits = sint(bits, size=n_bits)
    return sint.bit_compose(bits)

a_x = to_sint(bit_compose(t.get_input_from(0)), 20)
a_y = to_sint(bit_compose(t.get_input_from(0)), 20)
b_x = to_sint(bit_compose(t.get_input_from(1)), 20)
b_y = to_sint(bit_compose(t.get_input_from(1)), 20)

D = (a_x - b_x).square() + (a_y - b_y).square()
res = (D <= 12345) # Exameple radius R = 12345

print_ln("Result: %s", res.reveal())
```

as `Programs/Source/simple-proximity.mpc` and run it (using SPDZ) as described in [README for online-only benchmarking](https://github.com/data61/MP-SPDZ/blob/2459ecbe290e7e544c89a0002ad27fbb67e3d757/README.md#spdz).

Roughly, the process is:

```sh
make online
Scripts/setup-online.sh
./compile simple-proximity
Scripts/run-online.sh simple-proximity
```
