#!/bin/sh -xefu

compile='./compile.py -Y'
run='Scripts/mascot.sh'

echo 'repetitions,b4-time,b4-comm,b5-time,b5-comm'
for i in $(seq 1 300 10000); do
    $compile precomputation-outsource "$i" 1>&2
    rm -f log-b4.txt log-b5.txt
    $run -B 4 "precomputation-outsource-$i" > log-b4.txt 2>&1
    $run -B 5 "precomputation-outsource-$i" > log-b5.txt 2>&1

    b4Time=$(grep 'Time =' log-b4.txt | sed 's:.*= \(.\+\) seconds.*:\1:')
    b4Comm=$(grep 'Global data sent =' log-b4.txt | sed 's:.*= \(.\+\) MB.*:\1:')

    b5Time=$(grep 'Time =' log-b5.txt | sed 's:.*= \(.\+\) seconds.*:\1:')
    b5Comm=$(grep 'Global data sent =' log-b5.txt | sed 's:.*= \(.\+\) MB.*:\1:')

    echo "$i,$b4Time,$b4Comm,$b5Time,$b5Comm"
done
